Sign in with
Sign up | Sign in
Your question

Catalyst 4.7 is out. Anyone know if it fixes Thief3 textur..

Last response: in Video Games
Share
Anonymous
July 8, 2004 3:53:30 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

"Inglo" <ingloogoo@zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz.xcc> wrote in message
news:Ff3Hc.88751$pP2.46788@newssvr29.news.prodigy.com...
>
> The drivers bugger the game on all R3xx cards. I have a 9800 Pro.
>


Ouch, not nice.
Related resources
July 8, 2004 5:25:10 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

Doh ... it does mention this

a.. Inconsistent lighting and shadow flicker is noticed when playing the
game Thief 3 under Windows XP with an ATI RADEON X800 XT Platinum Edition or
the RADEON X800 PRO. Further information on this issue can be found at:
www.ati.com/support/infobase/4557.html


http://www2.ati.com/drivers/Catalyst_47_Release_Notes.h...



"rms" <rsquires@flashREMOVE.net> wrote in message
news:Z10Hc.3439$X84.164@newssvr33.news.prodigy.com...
>
http://www.ati.com/support/drivers/winxp/radeonwdm-xp.h...
>
> Anyone know if this fixes Thief3 ?
>
> rms
>
>
Anonymous
July 8, 2004 6:44:16 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

Wookie wrote:

> Doh ... it does mention this
>
> a.. Inconsistent lighting and shadow flicker is noticed when playing the
> game Thief 3 under Windows XP with an ATI RADEON X800 XT Platinum Edition or
> the RADEON X800 PRO. Further information on this issue can be found at:
> www.ati.com/support/infobase/4557.html

X800?

Surely no one is trying this game with a Radeon 8800 or 7800? Unless
they enjoy slideshows.

Objekt
Anonymous
July 8, 2004 7:54:56 AM

Archived from groups: alt.games.thief-dark-project (More info?)

On Thu, 08 Jul 2004 02:44:16 GMT, Objekt <deadletters@nospamplease.net>
wrote:

>Wookie wrote:
>
>> Doh ... it does mention this
>>
>> a.. Inconsistent lighting and shadow flicker is noticed when playing the
>> game Thief 3 under Windows XP with an ATI RADEON X800 XT Platinum Edition or
>> the RADEON X800 PRO. Further information on this issue can be found at:
>> www.ati.com/support/infobase/4557.html
>
>X800?
>
>Surely no one is trying this game with a Radeon 8800 or 7800? Unless
>they enjoy slideshows.

The X800s are the models that supercedes the lowly 9800 models.

I'm waiting for the super-dooper XX00 model though!

--
Michael Cecil
http://home.comcast.net/~macecil/
July 8, 2004 10:24:09 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

On Thu, 08 Jul 2004 03:32:53 GMT, Inglo
<ingloogoo@zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz.xcc> wrote:

>The drivers bugger the game on all R3xx cards. I have a 9800 Pro.

Can't you use the 4.4's?
--
Andrew. To email unscramble nrc@gurjevgrzrboivbhf.pbz & remove spamtrap.
Help make Usenet a better place: English is read downwards,
please don't top post. Trim messages to quote only relevant text.
Check groups.google.com before asking a question.
Anonymous
July 8, 2004 10:24:10 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

On 7/7/2004 10:24 PM Andrew brightened our day with:

>On Thu, 08 Jul 2004 03:32:53 GMT, Inglo
><ingloogoo@zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz.xcc> wrote:
>
>
>
>>The drivers bugger the game on all R3xx cards. I have a 9800 Pro.
>>
>>
>
>Can't you use the 4.4's?
>
>

The more recent catalysts provide improved performance and features
over-all, I'm forced to continue to use an older driver version in order
to play just one of the many games I have.
That pisses me off.

--

Steve [Inglo]
Anonymous
July 8, 2004 6:21:47 PM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

Inglo <ingloogoo@zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz.xcc> wrote:

>The more recent catalysts provide improved performance and features
>over-all, I'm forced to continue to use an older driver version in order
>to play just one of the many games I have.
>That pisses me off.

If the game works with an older driver maybe the manufacturer of the
game took progamming shortcuts or used undocumented features which
will not work newer drivers. Ask the game manufacturer for a patch or
update.

Ak
Anonymous
July 8, 2004 7:32:30 PM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

On 7/8/2004 7:21 AM Al Kaufmann brightened our day with:

>Inglo <ingloogoo@zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz.xcc> wrote:
>
>
>
>>The more recent catalysts provide improved performance and features
>>over-all, I'm forced to continue to use an older driver version in order
>>to play just one of the many games I have.
>>That pisses me off.
>>
>>
>
>If the game works with an older driver maybe the manufacturer of the
>game took progamming shortcuts or used undocumented features which
>will not work newer drivers. Ask the game manufacturer for a patch or
>update.
>
>Ak
>
>
>
This is an issue that is officially documented in the ATI release notes
as being a problem with the drivers.

Come on, someone else give me another moronic response.

--
Steve [Inglo]
Anonymous
July 8, 2004 10:22:34 PM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

On Thu, 08 Jul 2004 14:21:47 GMT, Al Kaufmann
<Al_Kaufmann@hotmail.com> wrote:

>Inglo <ingloogoo@zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz.xcc> wrote:
>
>>The more recent catalysts provide improved performance and features
>>over-all, I'm forced to continue to use an older driver version in order
>>to play just one of the many games I have.
>>That pisses me off.
>
>If the game works with an older driver maybe the manufacturer of the
>game took progamming shortcuts or used undocumented features which
>will not work newer drivers. Ask the game manufacturer for a patch or
>update.
>

Maybe you should ask Ati's driver QC department instead.
There is a little deja vu here. Not the first time later drivers
have barfed on titles previously working fine.

The game works fine with Cat 4.4, which was the latest driver
available to the Thief3 QC team. They didn't have a crystal ball.
See the Thief3 readme. Drivers previous to Cat 4.4 did not
work properly either.

And AFAIK, the game work fine with 56.72 nVidia ( latest official )
and several subsequent beta releases.

Maybe it was coded specially for nVidia ? Now, where did
I see a nice shiny bridge for sale ?

John Lewis

>Ak
>
Anonymous
July 8, 2004 10:26:48 PM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

On Thu, 08 Jul 2004 02:44:16 GMT, Objekt
<deadletters@nospamplease.net> wrote:

>Wookie wrote:
>
>> Doh ... it does mention this
>>
>> a.. Inconsistent lighting and shadow flicker is noticed when playing the
>> game Thief 3 under Windows XP with an ATI RADEON X800 XT Platinum Edition or
>> the RADEON X800 PRO. Further information on this issue can be found at:
>> www.ati.com/support/infobase/4557.html
>
>X800?
>
>Surely no one is trying this game with a Radeon 8800 or 7800? Unless
>they enjoy slideshows.
>
>Objekt

Umm.. where have you been............ ?

X800 is not x800 !

Ati X800 is the brand new R400 series card-family.

Anyway, the flickering is not confined to the X800 family, but
seems to be endemic, at least with drivers higher or lower than
Cat 4.4.

John Lewis
Anonymous
July 9, 2004 3:51:19 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

"John Lewis" <john.dsl@verizon.net> wrote
> The game works fine with Cat 4.4, which was the latest driver
> available to the Thief3 QC team. They didn't have a crystal ball.
> See the Thief3 readme. Drivers previous to Cat 4.4 did not
> work properly either.

Hmmm, Cat 3.6's seemed to work okay (R9600pro)
with Thief3...
Anonymous
July 9, 2004 3:51:20 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

On Thu, 8 Jul 2004 23:51:19 +0300, "Aki Peltola"
<aape@POISTAgamma.nic.fi> wrote:

>"John Lewis" <john.dsl@verizon.net> wrote
>> The game works fine with Cat 4.4, which was the latest driver
>> available to the Thief3 QC team. They didn't have a crystal ball.
>> See the Thief3 readme. Drivers previous to Cat 4.4 did not
>> work properly either.
>
>Hmmm, Cat 3.6's seemed to work okay (R9600pro)
>with Thief3...
>

Heh !!! LOL !!

If I recall the Thief3 readme, their QC team may not have
gone back quite that far...............

However, if what you say is really true, it does confirm the
complete lack of systematic QC in the driver group at Ati.

Cat3.6 OK
Cat 3.7 ---> 4.3 Barf on Thief3 !
Cat 4.4 OK
Cat 4.5 --> 4.7 Barf on Thief3 !

With public releases every 3 weeks or so, how could
there possibly be systematic driver QC ? There are not
enough monkeys on the planet, let alone experts in
regression testing.

John Lewis


>
Anonymous
July 9, 2004 6:37:44 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

"John Lewis" <john.dsl@verizon.net> wrote
> >Hmmm, Cat 3.6's seemed to work okay (R9600pro)
> >with Thief3...
> However, if what you say is really true, it does confirm the
> complete lack of systematic QC in the driver group at Ati.

I installed those drivers first from the CD that came with
Radeon, as I thought the drivers weren't near latest and
Control Panel identified them as Catalysts version 3.6!

And Thief3 really ran completely fine without graphical
glitches with those drivers installed, perhaps someone else
could confirm this too? If you don't believe me, try
Cat3.6's yourself :-)

Now I'm using Cat4.4 because CoD had some strange
crashing disease with Cat3.6 and Thief3 prevents me from
updating straight to the latest 4.7... geez I am going nuts
because of these ATI drivers, NVidia's drivers at least
WORKED goddamnit!
Anonymous
July 9, 2004 6:37:45 AM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

"Aki Peltola" <aape@POISTAgamma.nic.fi> wrote in message
news:ccklts$854$1@phys-news1.kolumbus.fi...
> "John Lewis" <john.dsl@verizon.net> wrote
> > >Hmmm, Cat 3.6's seemed to work okay (R9600pro)
> > >with Thief3...
> > However, if what you say is really true, it does confirm the
> > complete lack of systematic QC in the driver group at Ati.
>
> I installed those drivers first from the CD that came with
> Radeon, as I thought the drivers weren't near latest and
> Control Panel identified them as Catalysts version 3.6!
>
> And Thief3 really ran completely fine without graphical
> glitches with those drivers installed, perhaps someone else
> could confirm this too? If you don't believe me, try
> Cat3.6's yourself :-)
>
> Now I'm using Cat4.4 because CoD had some strange
> crashing disease with Cat3.6 and Thief3 prevents me from
> updating straight to the latest 4.7... geez I am going nuts
> because of these ATI drivers, NVidia's drivers at least
> WORKED goddamnit!

ATI does seem to have a problem with drivers that work on a game, then get
broken in the next release. I encountered this with both NOLF2 and KOTOR.
Anonymous
July 9, 2004 12:22:56 PM

Archived from groups: alt.comp.periphs.videocards.ati,alt.games.thief-dark-project (More info?)

On Fri, 9 Jul 2004 02:37:44 +0300, "Aki Peltola"
<aape@POISTAgamma.nic.fi> wrote:

>"John Lewis" <john.dsl@verizon.net> wrote
>> >Hmmm, Cat 3.6's seemed to work okay (R9600pro)
>> >with Thief3...
>> However, if what you say is really true, it does confirm the
>> complete lack of systematic QC in the driver group at Ati.
>
>I installed those drivers first from the CD that came with
>Radeon, as I thought the drivers weren't near latest and
>Control Panel identified them as Catalysts version 3.6!
>
>And Thief3 really ran completely fine without graphical
>glitches with those drivers installed, perhaps someone else
>could confirm this too? If you don't believe me, try
>Cat3.6's yourself :-)
>
>Now I'm using Cat4.4 because CoD had some strange
>crashing disease with Cat3.6 and Thief3 prevents me from
>updating straight to the latest 4.7... geez I am going nuts
>because of these ATI drivers, NVidia's drivers at least
>WORKED goddamnit!
>

Still do............after the driver hiatus between
53.03 ( 9 Dec 2003) and 56.72 ( latest official, 1 April 2004)
The ones between are best forgotten. nVidia did a run-time
compiler update after 53.03 that broke a lot of stuff, but
seem to have got it all back together again with 56.72.
Very stable indeed. Unlikely to be OFFICIALLY updated
until some of the new 6800 stuff is properly integrated.
The 6800 is surviving on beta Detonator drivers at the
moment, which nVidia has seen prudent not to officially
foist on the rest of their graphics-card families. Of course,
the beta 6800 drivers have been leaked and tried out
on non-6800 cards.

John Lewis

>
!